### Class

# Gio InetSocketAddress

#### Description [src]

    class Gio.InetSocketAddress : Gio.SocketAddress
      implements Gio.SocketConnectable {
      /* No available fields */
    }

An IPv4 or IPv6 socket address. That is, the combination of a `GInetAddress` and a port number.

In UNIX terms, `GInetSocketAddress` corresponds to a `struct sockaddr_in` or `struct sockaddr_in6`.

#### Hierarchy

#### Ancestors

- GSocketAddress
- GObject

#### Descendants

- GProxyAddress

#### Implements

- GSocketConnectable

#### Constructors

###### g_inet_socket_address_new

Creates a new `GInetSocketAddress` for `address` and `port`.

since: 2.22

###### g_inet_socket_address_new_from_string

Creates a new `GInetSocketAddress` for `address` and `port`.

since: 2.40

#### Instance methods

###### g_inet_socket_address_get_address

Gets `address`‘s `GInetAddress`.

since: 2.22

###### g_inet_socket_address_get_flowinfo

Gets the `sin6_flowinfo` field from `address`, which must be an IPv6 address.

since: 2.32

###### g_inet_socket_address_get_port

Gets `address`‘s port.

since: 2.22

###### g_inet_socket_address_get_scope_id

Gets the `sin6_scope_id` field from `address`, which must be an IPv6 address.

since: 2.32

##### Methods inherited from GSocketAddress (3)

###### g_socket_address_get_family

Gets the socket family type of `address`.

since: 2.22

###### g_socket_address_get_native_size

Gets the size of `address`‘s native struct sockaddr. You can use this to allocate memory to pass to g_socket_address_to_native().

since: 2.22

###### g_socket_address_to_native

Converts a `GSocketAddress` to a native struct sockaddr, which can be passed to low-level functions like `connect()` or bind().

since: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GSocketConnectable (3)

###### g_socket_connectable_enumerate

Creates a `GSocketAddressEnumerator` for `connectable`.

since: 2.22

###### g_socket_connectable_proxy_enumerate

Creates a `GSocketAddressEnumerator` for `connectable` that will return a `GProxyAddress` for each of its addresses that you must connect to via a proxy.

since: 2.26

###### g_socket_connectable_to_string

Format a `GSocketConnectable` as a string. This is a human-readable format for use in debugging output, and is not a stable serialization format. It is not suitable for use in user interfaces as it exposes too much information for a user.

since: 2.48

#### Properties

###### Gio.InetSocketAddress:address

The address.

since: 2.22

###### Gio.InetSocketAddress:flowinfo

The `sin6_flowinfo` field, for IPv6 addresses.

since: 2.32

###### Gio.InetSocketAddress:port

The port.

since: 2.22

###### Gio.InetSocketAddress:scope-id

The `sin6_scope_id` field, for IPv6 addresses.

since: 2.32

##### Properties inherited from GSocketAddress (1)

###### Gio.SocketAddress:family

The family of the socket address.

since: 2.22

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioInetSocketAddressClass {
      GSocketAddressClass parent_class;

    }

No description available.

###### Class members

`parent_class: GSocketAddressClass`

  No description available.